export type PageLister<R extends object> = (t: {
    nextToken?: string;
}) => Promise<R & {
    meta: {
        nextToken?: string;
    };
}>;
export declare function listAllPages<R extends object>(lister: PageLister<R>): Promise<R[]>;
export declare function listAllPages<R extends object, M>(lister: PageLister<R>, mapper?: (r: R) => M[]): Promise<M[]>;
